commit: 3c2f40cb971b6a0a8da8c94e8249a5d9f872314f
Author: Sam James <sam <AT> gentoo <DOT> org>
AuthorDate: Tue Jan 10 04:40:15 2023 +0000
Commit: Sam James <sam <AT> gentoo <DOT> org>
CommitDate: Tue Jan 10 04:40:15 2023 +0000
URL: https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=3c2f40cb
dev-vcs/git-filter-repo: enable py3.11, run tests per python impl
Signed-off-by: Sam James <sam <AT> gentoo.org>
dev-vcs/git-filter-repo/git-filter-repo-2.38.0-r1.ebuild | 8 ++++----
1 file changed, 4 insertions(+), 4 deletions(-)
diff --git a/dev-vcs/git-filter-repo/git-filter-repo-2.38.0-r1.ebuild
b/dev-vcs/git-filter-repo/git-filter-repo-2.38.0-r1.ebuild
index 2bb4e78a5dcc..246938784498 100644
--- a/dev-vcs/git-filter-repo/git-filter-repo-2.38.0-r1.ebuild
+++ b/dev-vcs/git-filter-repo/git-filter-repo-2.38.0-r1.ebuild
@@ -1,9 +1,9 @@
-# Copyright 2021-2022 Gentoo Authors
+# Copyright 2021-2023 Gentoo Authors
# Distributed under the terms of the GNU General Public License v2
EAPI=8
-PYTHON_COMPAT=( python3_{9..10} )
+PYTHON_COMPAT=( python3_{9..11} )
inherit distutils-r1
DESCRIPTION="Quickly rewrite git repository history (filter-branch
replacement)"
@@ -32,7 +32,7 @@ python_prepare_all() {
distutils-r1_python_prepare_all
}
-src_test() {
+python_test() {
cd .. || die
bash t/run_tests || die
}
@@ -42,7 +42,7 @@ python_install_all() {
# Points to dead symlink
rm "${ED}"/usr/share/doc/${PF}/README.md || die
- rmdir "${ED}"/usr/share/doc/${PF} || Die
+ rmdir "${ED}"/usr/share/doc/${PF} || die
dodoc "${WORKDIR}"/${P}/README.md
}